curl --location --request POST 'https://api.explo.co/api/update_customer/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"provided_id": "example_1",
"properties": {"filterValue": "new_value"},
"emails": ["[email protected]"],
"group_tags": ["engineers", "sales"],
"hierarchy_level_name": "Level 1"
}'
{
"success": 1,
"customer": {
"token": "<customer_token_to_auth_dashboard>",
"name": "Example 1",
"provided_id": "example_1",
"is_demo_group": false,
"emails": ["[email protected]"],
"group_tags": ["engineers", "sales"],
"properties": { "filterValue": "new_value" },
"computed_properties": { "filterValue": "new_value" },
"access_group": "Production",
"parent_schema_datasource_mapping": {"40": "213": "134": 386"},
"computed_parent_schema_datasource_mapping": {"40": "213": "134": 386"},
"hierarchy_level": "Level 1"
}
}
Customer API
Update Customer
POST
/
api
/
update_customer
/
curl --location --request POST 'https://api.explo.co/api/update_customer/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"provided_id": "example_1",
"properties": {"filterValue": "new_value"},
"emails": ["[email protected]"],
"group_tags": ["engineers", "sales"],
"hierarchy_level_name": "Level 1"
}'
{
"success": 1,
"customer": {
"token": "<customer_token_to_auth_dashboard>",
"name": "Example 1",
"provided_id": "example_1",
"is_demo_group": false,
"emails": ["[email protected]"],
"group_tags": ["engineers", "sales"],
"properties": { "filterValue": "new_value" },
"computed_properties": { "filterValue": "new_value" },
"access_group": "Production",
"parent_schema_datasource_mapping": {"40": "213": "134": 386"},
"computed_parent_schema_datasource_mapping": {"40": "213": "134": 386"},
"hierarchy_level": "Level 1"
}
}
This endpoint updates an existing customer. Provided_id is required to request a customer, and only the other provided fields will be updated.
Body
string
This is the ID you use to identify this customer in your database.
string
Set this field if you’d like to change the ID used to identify the customer in the database. This
will replace the current
provided_id.string
This is the name of the customer.
object
This is a JSON mapping of schema id to either the data source that this user group should be
associated with.
boolean
Set this boolean parameter to true to make data panels include a demo watermark for the customer.
Demo customers do not count towards paid user groups. Default value is false.
object
This is a JSON object for properties assigned to this customer. These will be accessible through
variables in the dashboards and SQL editor
string[]
This is an array of email addresses to add to the customer.
string[]
An array of group tag names to assign to the customer. This will override previous group tag
assignment if specified. Supplying the empty array will remove all group tags. Group tag names
must be of existing group tags, and these can be created with the create_group_tag endpoint.
string
The name of the hierarchy level to assign to the customer. Must be an existing hierarchy level.
This will override previous assignment. If you do not have a hierarchy set up and would like one,
reach out to customer support.
string
This is an identifier for a parent customer matching the parent’s
provided_id. If provided, the
customer will be set as a child of the parent customer, and will have its computed_properties
and computed_parent_schema_datasource_mapping fields inherit values from the parent customer.
Note that parents must be at a strictly higher hierarchy level than their children. You can
contact customer support to set up a hierarchy for your customers.Response
number
Indicates whether the call was successful. 1 if successful, 0 if not.
object
The contents of the customer
Show Toggle object
Show Toggle object
string
The customer token (customerToken or CUSTOMER_TOKEN) that will be used to identify which customer
is viewing the dashboard. You should save this on your end to use when rendering an embedded
dashboard by passing this token into the web component or iframe. Example usage
here.
string
The display name you provided for your customer in Explo.
string
The ID you use to identify this customer in your database that you provided. This is also the ID
you will use to reference your customer in Explo queries or access your customer via the API. For
more information on example usage, check out this section.
object
An array of email addresses you provided for your customer.
object
An array of updated group tag names that have been assigned to this customer
string
The name of the assigned hierarchy level.
string or null
If present, the name of the assigned data visibility group.
boolean
True if this customer is a demo customer, which means that data panels will include a demo
watermark for the customer. Demo customers do not count towards paid customers.
JSON or null
A set of key-value pairs assigned to this customer. These will be accessible through variables in
the dashboards and SQL editor. More information on properties can be found in this
section.
JSON
A properties object based on the provided properties of this customer and any inherited properties
from parent customers.
JSON | Null
A set of key-values pairs that map a schema id to the data source that this customer loads data
from. For more information on schemas and data sources, check out this
section.
JSON
A schema datasource mapping object based on the parent_schema_datasource_mapping of the customer
and any inherited parent_schema_datasource_mapping from parent customers.
curl --location --request POST 'https://api.explo.co/api/update_customer/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"provided_id": "example_1",
"properties": {"filterValue": "new_value"},
"emails": ["[email protected]"],
"group_tags": ["engineers", "sales"],
"hierarchy_level_name": "Level 1"
}'
{
"success": 1,
"customer": {
"token": "<customer_token_to_auth_dashboard>",
"name": "Example 1",
"provided_id": "example_1",
"is_demo_group": false,
"emails": ["[email protected]"],
"group_tags": ["engineers", "sales"],
"properties": { "filterValue": "new_value" },
"computed_properties": { "filterValue": "new_value" },
"access_group": "Production",
"parent_schema_datasource_mapping": {"40": "213": "134": 386"},
"computed_parent_schema_datasource_mapping": {"40": "213": "134": 386"},
"hierarchy_level": "Level 1"
}
}